For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Cluster Snapshots

Retrieves MongoDB snapshots.

get
Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Query parameters
limitinteger · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with 'offset' for pagination.

Default: 100Example: 100
offsetintegerOptional

The first element to return. Use together with 'limit' for pagination.

Default: 0Example: 200
Responses
200

Successful operation.

application/json

Pagination information in list responses. DEPRECATED because of misspelled _links attribute.

typestring · enumOptional

The resource type.

Possible values:
idstringOptional

The unique ID of the resource.

Example: 498ae72f-411f-11eb-9d07-046c59cc737e
offsetintegerOptional

The offset specified in the request (if none was specified, the default offset is 0).

Default: 0Example: 200
limitinteger · max: 1000Optional

The limit specified in the request (if none was specified, the default limit is 100).

Default: 100Example: 100
get/clusters/{clusterId}/snapshots
GET /databases/mongodb/clusters/{clusterId}/snapshots HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
  "type": "collection",
  "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
  "items": [
    {
      "type": "snapshot",
      "id": "498ae72f-411f-11eb-9d07-046c59cc737e",
      "properties": {
        "version": "5.0",
        "size": 150,
        "creationTime": "2020-12-10T13:37:50+01:00"
      }
    }
  ],
  "offset": 200,
  "limit": 100,
  "links": {
    "prev": "<PREVIOUS-PAGE-URI>",
    "self": "<THIS-PAGE-URI>",
    "next": "<NEXT-PAGE-URI>"
  }
}

Last updated

Was this helpful?